STRUCT ERROR_INFO(3)

NAME
boost::interprocess::error_info

SYNOPSIS

// In header: <boost/interprocess/errors.hpp>
struct error_info {
  // construct/copy/destruct
  error_info(error_code_t = other_error);
  error_info(native_error_t);
  error_info& operator=(error_code_t);
  error_info& operator=(native_error_t);
  // public member functions
  native_error_t get_native_error() const;
  error_code_t get_error_code() const;
};

DESCRIPTION

  error_info public construct/copy/destruct

    1.

    error_info(error_code_t ec = other_error);

    2.

    error_info(native_error_t sys_err_code);

    3.

    error_info& operator=(error_code_t ec);

    4.

    error_info& operator=(native_error_t sys_err_code);

  error_info public member functions

    1.

    native_error_t get_native_error() const;

    2.

    error_code_t get_error_code() const;